Subject: RE: bug#14797: 24.3.50; new, undocumented menu structure using VECTORS?

From: Drew Adams <[email-masked]>
Date: Sat, 19 Oct 2013 10:48:29 -0700 (PDT)

Could this bug please be fixed?  It is as simple as this:

A menu keymap (and perhaps other keymap?) can apparently have a
vector of menu entries as its third element.  This is the case for
`global-buffers-menu-map', for instance.

I do not see this form of keymap documented anywhere in the Elisp
manual.  We bother to document the `keymap-prompt', which is hardly
ever used in practice, but this alternative structure of a keymap is
completely undocumented, AFAICT.

Please document it.  Just what is the form that is allowed?  This
belongs in the Elisp manual, as part of the keymap structure
description.